Index: npl/overig/file/file.SlackBuild.orig
===================================================================
--- npl/overig/file/file.SlackBuild.orig	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/overig/file/file.SlackBuild.orig	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,5 +1,5 @@
-#!/bin/bash
+#!/bin/sh
 
-# Copyright 2005-2008, 2009, 2010, 2013, 2015, 2018, 2019  Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005-2008, 2009, 2010, 2013  Patrick J. Volkerding, Sebeka, MN, USA
 # All rights reserved.
 #
@@ -21,16 +21,13 @@
 #  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-cd $(dirname $0) ; CWD=$(pwd)
-
-PKGNAM=file
 VERSION=${VERSION:-$(echo file-*.tar.?z* | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
 BUILD=${BUILD:-1}
 
-NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+NUMJOBS=${NUMJOBS:--j7}
 
 # Automatically determine the architecture we're building on:
 if [ -z "$ARCH" ]; then
   case "$( uname -m )" in
-    i?86) export ARCH=i586 ;;
+    i?86) export ARCH=i486 ;;
     arm*) export ARCH=arm ;;
     # Unless $ARCH is already set, use uname -m for all other archs:
@@ -39,14 +36,6 @@
 fi
 
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
-if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
-  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
-  exit 0
-fi
-
-if [ "$ARCH" = "i586" ]; then
-  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+if [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
   LIBDIRSUFFIX=""
 elif [ "$ARCH" = "i686" ]; then
@@ -61,4 +50,5 @@
 fi
 
+CWD=$(pwd)
 TMP=${TMP:-/tmp}
 PKG=$TMP/package-file
@@ -73,12 +63,12 @@
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-  -exec chmod 755 {} \+ -o \
+  -exec chmod 755 {} \; -o \
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-  -exec chmod 644 {} \+
+  -exec chmod 644 {} \;
 
 # Make the default data directory /etc/file like it has always been:
 zcat $CWD/file.etc.file.diff.gz | patch -p1 --verbose || exit 1
 # This is needed after the patch above:
-autoreconf -vif || exit 1
+autoreconf || exit 1
 
 # Since we're going to include the compiled magic database now (otherwise
@@ -92,8 +82,4 @@
 # versions of file to avoid breaking existing scripts:
 zcat $CWD/file.short.diff.gz | patch -p1 -E --verbose || exit 1
-
-# Output on ELF objects should be "dynamically linked" for PT_DYNAMIC too, not
-# just for PT_INTERP:
-zcat $CWD/file.PT_DYNAMIC.is.dynamically.linked.diff.gz | patch -p1 -E --verbose || exit 1
 
 # Add zisofs and crda regulatory bin detection
@@ -112,5 +98,5 @@
   --enable-fsect-man5 \
   --disable-static \
-  --build=$ARCH-slackware-linux || exit 1
+  --build=$ARCH-slackware-linux
 
 # The generated $TMP/file-$VERSION/libtool is buggy.  I don't know if this is supposed
@@ -120,14 +106,4 @@
 make $NUMJOBS || make || exit 1
 make install DESTDIR=$PKG || exit 1
-
-# Don't ship .la files:
-rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
-
-# Ignore for now - still labeled as experimental
-# Actually, let's ignore it until something needs it  :)  <volkerdi>
-#cd python/
-#  python setup.py build
-#  python setup.py install --root=$PKG
-#cd ..
 
 # Seems --disable-static has been ignored lately:
@@ -139,5 +115,4 @@
 mkdir -p $PKG/etc/file/magic
 cp -a magic/Magdir/* $PKG/etc/file/magic
-chmod 644 $PKG/etc/file/magic/*
 
 # Add a script to recompile the flat files in the obvious location.
@@ -155,9 +130,9 @@
 
 # Strip everything for good measure:
-#find $PKG | xargs file | grep -e "executable" -e "shared object" \
- # | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+  | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
 
 ( cd $PKG/usr/man || exit 1
-  find . -type f -exec gzip -9 {} \+
+  find . -type f -exec gzip -9 {} \;
   for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
 )
